Skip to main content
POST
/
ent
/
v2
/
start-end2video
curl --request POST \
  --url https://api.aiid.edu.kg/ent/v2/start-end2video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "viduq3-turbo",
  "prompt": "A cinematic product ad with smooth camera motion",
  "duration": 5,
  "resolution": "720p",
  "aspect_ratio": "16:9"
}
'
{
  "task_id": "<string>",
  "model": "<string>",
  "prompt": "<string>",
  "images": [
    "<string>"
  ],
  "duration": 123,
  "resolution": "<string>",
  "credits": 123,
  "created_at": "<string>",
  "creations": "<string>"
}

Authorizations

Authorization
string
header
required

Use Bearer Token authentication. Format: Authorization: Bearer sk-xxxxxx

Body

application/json
model
enum<string>
required

Vidu external model name, currently public viduq3-turbo.

Available options:
viduq3-turbo
Example:

"viduq3-turbo"

images
string<uri>[]
required

Image input. For image-to-video, provide 1 image; for start/end frames, provide 2 images; for reference video generation, provide 1–7 images.

Required array length: 2 elements
Example:
["https://example.com/input.jpg"]
prompt
string

Video generation prompt; required for text-to-video, and optional for image-to-video, first-and-last-frame-to-video, and reference-to-video, depending on business needs.

Example:

"A cinematic product ad with smooth camera motion"

videos
string<uri>[]

For reference video generation, the video subject input is optional. Use it according to the capabilities of the Vidu official model.

subjects
object[]

Enter in the same format as the video subject library reference generation input. It can include fields such as subject name, images, videos, or voice timbre.

auto_subjects
boolean
duration
integer

Video duration, in seconds. viduq3-turbo Commonly 5 seconds; set it within the official range.

Example:

5

resolution
enum<string>

Output resolution, common values 540p, 720p, and 1080p.

Available options:
540p,
720p,
1080p
Example:

"720p"

aspect_ratio
enum<string>

Output aspect ratio, commonly used for text-to-video/reference-to-video generation, such as 16:9, 9:16, and 1:1.

Available options:
16:9,
9:16,
4:3,
3:4,
1:1
Example:

"16:9"

seed
integer

Random seed.

movement_amplitude
enum<string>

Motion range, common values auto, small, medium, large.

Available options:
auto,
small,
medium,
large
Example:

"auto"

audio
boolean

Whether to enable direct audio/video output.

audio_type
enum<string>
Available options:
all,
speech_only,
sound_effect_only
voice_id
string
is_rec
boolean
bgm
boolean
payload
string
off_peak
boolean

Whether to use staggered generation.

watermark
boolean

Whether to add a watermark.

wm_position
enum<integer>
Available options:
1,
2,
3,
4
wm_url
string<uri>
callback_url
string<uri>

Response

200 - application/json

Task created successfully

task_id
string
required

The task ID returned when creating a task, used to query the task.

state
enum<string>
required

Task status. Common values: created, queueing, processing, success, failed.

Available options:
created,
queueing,
processing,
success,
failed
model
string
prompt
string
images
string[]
duration
integer
resolution
string
credits
integer

Points consumed for this task.

created_at
string
creations
string